Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Iterator_Impl< T > Class Template Reference

Defines a abstract iterator. More...

`#include <Map_T.h>`

Inheritance diagram for ACE_Iterator_Impl< T >:

[legend]
List of all members.

## Public Methods
virtual | ~ACE_Iterator_Impl (void)
| Destructor.
virtual ACE_Iterator_Impl< T > * | clone (void) const=0
| Clone.
virtual int | compare (const ACE_Iterator_Impl< T > &rhs) const=0
| Comparison.
virtual T | dereference (void) const=0
| Dereference.
virtual void | plus_plus (void)=0
| Advance.
virtual void | minus_minus (void)=0
| Reverse.

## Detailed Description

### template<class T>
class ACE_Iterator_Impl< T >

Defines a abstract iterator.

Implementation to be provided by subclasses.

## Constructor & Destructor Documentation

template<class T>
ACE_INLINE ACE_Iterator_Impl< T >::~ACE_Iterator_Impl | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

template<class T>
virtual ACE_Iterator_Impl<T>* ACE_Iterator_Impl< T >::clone | ( | void |  | ) | const`[pure virtual]`

| Clone. Implemented in ACE_Map_Impl_Iterator_Adapter< T, IMPLEMENTATION, ENTRY >, ACE_Active_Map_Manager_Iterator_Adapter< T, VALUE >, ACE_Hash_Map_Manager_Ex_Iterator_Adapter< T, KEY, VALUE, HASH_KEY, COMPARE_KEYS >, and ACE_Map_Manager_Iterator_Adapter< T, KEY, VALUE >.

template<class T>
virtual int ACE_Iterator_Impl< T >::compare | ( | const ACE_Iterator_Impl< T > & | rhs | ) | const`[pure virtual]`

| Comparison. Implemented in ACE_Map_Impl_Iterator_Adapter< T, IMPLEMENTATION, ENTRY >, ACE_Active_Map_Manager_Iterator_Adapter< T, VALUE >, ACE_Hash_Map_Manager_Ex_Iterator_Adapter< T, KEY, VALUE, HASH_KEY, COMPARE_KEYS >, and ACE_Map_Manager_Iterator_Adapter< T, KEY, VALUE >.

template<class T>
virtual T ACE_Iterator_Impl< T >::dereference | ( | void |  | ) | const`[pure virtual]`

| Dereference. Implemented in ACE_Map_Impl_Iterator_Adapter< T, IMPLEMENTATION, ENTRY >, ACE_Active_Map_Manager_Iterator_Adapter< T, VALUE >, ACE_Hash_Map_Manager_Ex_Iterator_Adapter< T, KEY, VALUE, HASH_KEY, COMPARE_KEYS >, and ACE_Map_Manager_Iterator_Adapter< T, KEY, VALUE >.

template<class T>
virtual void ACE_Iterator_Impl< T >::minus_minus | ( | void |  | ) | `[pure virtual]`

| Reverse. Implemented in ACE_Map_Impl_Iterator_Adapter< T, IMPLEMENTATION, ENTRY >, ACE_Active_Map_Manager_Iterator_Adapter< T, VALUE >, ACE_Hash_Map_Manager_Ex_Iterator_Adapter< T, KEY, VALUE, HASH_KEY, COMPARE_KEYS >, and ACE_Map_Manager_Iterator_Adapter< T, KEY, VALUE >.

template<class T>
virtual void ACE_Iterator_Impl< T >::plus_plus | ( | void |  | ) | `[pure virtual]`

| Advance. Implemented in ACE_Map_Impl_Iterator_Adapter< T, IMPLEMENTATION, ENTRY >, ACE_Active_Map_Manager_Iterator_Adapter< T, VALUE >, ACE_Hash_Map_Manager_Ex_Iterator_Adapter< T, KEY, VALUE, HASH_KEY, COMPARE_KEYS >, and ACE_Map_Manager_Iterator_Adapter< T, KEY, VALUE >.

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Map_T.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Map_T.i